<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#fff"
    android:orientation="vertical"
    tools:context=".ui.MainActivity">

    <include
        android:id="@+id/bar"
        layout="@layout/commen_titlebar" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="基地名称"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="200"
                        android:id="@+id/et_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:hint="请输入基地名称"
                        android:singleLine="true"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="基地地点"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

<!--                    <com.wisewoods.eduandroid.view.LocationView-->
<!--                        android:id="@+id/lv"-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="wrap_content" />-->

                    <TextView
                        android:id="@+id/tv_area"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableRight="@drawable/ic_next"
                        android:drawablePadding="15dp"
                        android:hint="请选择地点"
                        android:paddingTop="10dp"
                        android:singleLine="true"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="详细地点"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="200"
                        android:id="@+id/et_address"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:hint="请输入详细地点"
                        android:singleLine="true"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="联系人"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="200"
                        android:id="@+id/et_people"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:hint="请输入联系人"
                        android:singleLine="true"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="联系电话"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:id="@+id/et_tel"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:hint="请输入联系电话"
                        android:inputType="phone"
                        android:singleLine="true"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="基地介绍"
                        android:textColor="#ff333333"
                        android:textSize="15sp" />

                    <EditText
                        android:maxLength="1000"
                        android:id="@+id/et_des"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/shape_schedule_bg"
                        android:gravity="top"
                        android:hint="请输入基地介绍"
                        android:lines="3"
                        android:maxLines="3"
                        android:paddingLeft="10dp"
                        android:paddingTop="15dp"
                        android:paddingRight="10dp"
                        android:paddingBottom="15dp"
                        android:textColorHint="#ff999999"
                        android:textSize="13sp"
                        android:theme="@style/UpdateUserEditText" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="基地照片"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:singleLine="true"
                            android:text="（可上传多个）"
                            android:textColorHint="#ff999999"
                            android:textSize="13sp"
                            android:theme="@style/UpdateUserEditText" />

                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_photo"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:overScrollMode="never" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:layout_marginBottom="6dp"
                app:cardBackgroundColor="#fff"
                app:cardCornerRadius="15dp"
                app:contentPaddingBottom="15dp"
                app:contentPaddingLeft="16dp"
                app:contentPaddingRight="16dp"
                app:contentPaddingTop="13dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="基地视频"
                            android:textColor="#ff333333"
                            android:textSize="15sp" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:singleLine="true"
                            android:text="（可上传多个）"
                            android:textColorHint="#ff999999"
                            android:textSize="13sp"
                            android:theme="@style/UpdateUserEditText" />

                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_video"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:overScrollMode="never" />


                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <TextView
                android:id="@+id/tv_change_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                android:background="@drawable/shape_mini_btn"
                android:gravity="center"
                android:paddingTop="11dp"
                android:paddingBottom="11dp"
                android:text="确认修改"
                android:textColor="#ffffffff"
                android:textSize="15sp" />

        </LinearLayout>
    </ScrollView>


</LinearLayout>